import { Module, ReExportVariableModule } from '../../module';
import * as types from './typings';
export declare class ConfigurationModule extends Module {
    private _configuration;
    constructor(name: string, _configuration: types.ConfigurationDefinition);
    getContent(): Promise<string>;
}
export declare class ConfigurationsModule extends ReExportVariableModule {
    constructor(configurations: Record<string, types.ConfigurationDefinition>);
}
